Bug 92142 - Files with "%20" in name cannot be opened from command line
Summary: Files with "%20" in name cannot be opened from command line
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openoffice.org   
(Show other bugs)
Version: 9
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-03 08:20 UTC by Barry K. Nathan
Modified: 2007-04-18 16:54 UTC (History)
1 user (show)

Fixed In Version: 1.1.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-12 20:14:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Barry K. Nathan 2003-06-03 08:20:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030530

Description of problem:
If a document's filename contains the substring "%20" in its name (that is, a
percent sign followed by a 2 then a 0), it cannot be opened from the command
line. It fails with an error instead.

Version-Release number of selected component (if applicable):
openoffice-1.0.2-4

How reproducible:
Always

Steps to Reproduce:
1. cat << EOF > 'my%20test.txt'
> this is line one
> this is line two
> EOF

2. ooffice 'my%20test.txt'
    

Actual Results:  Dialog box, titled "OpenOffice.org 1.0.2". Contents:

"Error loading document file:///home/barryn/my%20test.txt:
/home/barryn/my test.txt does not exist."

(Notice the %20 was changed to a space in the second half of the error message,
but not the first half.)

After clicking OK, the same dialog box appears a second time.


Expected Results:  OpenOffice.org Writer window should open up on the file, with
the two lines of text entered in step 1.


Additional info:

Workaround: rename the file before trying to open it. Or, open ooffice first
then use its Open command to open the file.

I think this is OpenOffice.org (upstream) bug 10226:
http://www.openoffice.org/project/www/issues/show_bug.cgi?id=10226

AFAICT Rawhide has the same version of OpenOffice as Red Hat 9 and shows the bug
too. The OOo release shipped with Red Hat 8.0 also has this bug.

Comment 1 Barry K. Nathan 2003-10-12 20:14:23 UTC
openoffice.org-1.1.0-2 from rawhide does not have this bug anymore.


Note You need to log in before you can comment on or make changes to this bug.